ServerConnectivityException (Apache Geode 1.11.0)
Date: 2019-12-20

org.apache.geode.cache.client

## Class ServerConnectivityException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.client.ServerConnectivityException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    AllConnectionsInUseException, NoAvailableLocatorsException, NoAvailableServersException, NoQueueServersAvailableException, NoSubscriptionServersAvailableException, ServerOperationException, SubscriptionNotEnabledException

      public class ServerConnectivityException
      extends GemFireException

  A generic exception indicating that a failure has happened while communicating with a gemfire server. Subclasses of this exception provide more detail on specific failures.
  Since:
    GemFire 5.7
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerConnectivityException()` Create a new instance of ServerConnectivityException without a detail message or cause.
    `ServerConnectivityException(String message)` Create a new instance of ServerConnectivityException with a detail message
    `ServerConnectivityException(String message, Throwable cause)` Create a new instance of ServerConnectivityException with a detail message and cause
    `ServerConnectivityException(Throwable cause)` Create a new instance of ServerConnectivityException with a cause

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerConnectivityException

          public ServerConnectivityException()

      Create a new instance of ServerConnectivityException without a detail message or cause.

    - #### ServerConnectivityException

          public ServerConnectivityException(String message)

      Create a new instance of ServerConnectivityException with a detail message
      Parameters:
        `message` - the detail message

    - #### ServerConnectivityException

          public ServerConnectivityException(String message,
                                             Throwable cause)

      Create a new instance of ServerConnectivityException with a detail message and cause
      Parameters:
        `message` - the detail message
        `cause` - the cause

    - #### ServerConnectivityException

          public ServerConnectivityException(Throwable cause)

      Create a new instance of ServerConnectivityException with a cause
      Parameters:
        `cause` - the cause